> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callaidan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> API reference documentation for Aidan

## Base URL

All API requests should be made to:

```
https://api.callaidan.com
```

## Authentication

All API endpoints are authenticated using an `Authorization` header with your API key. Note that you should pass the API key directly without the 'Bearer' prefix.

```bash theme={null}
Authorization: your-api-key-here
```

### API Key

Your **Company API Key** is used for all operations including:

* Agent management (agents, files, integrations, tools)
* Tool instances
* Contacts and conversations
* Call logs, chat logs, and transcripts
* Company settings, staff, and phone numbers

You can find your API key in your dashboard settings.

### Example Request

```bash theme={null}
curl -X GET https://api.callaidan.com/agent/list \
  -H "Authorization: your-api-key-here" \
  -H "Content-Type: application/json"
```
